import { jsx } from "react/jsx-runtime";
import { TokenNGL as TokenNGL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNGL = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NGL", "data-name": "TokenNGL", ...props, children: /* @__PURE__ */ jsx(TokenNGL$1, { variant }) });
  }
);
TokenNGL.displayName = "TokenNGL";
Object.assign(TokenNGL, { isGdsIcon: true });
export {
  TokenNGL
};
